## org.eclipse.jetty.policy
Class PolicyContext

    java.lang.Object
      org.eclipse.jetty.policy.PolicyContext

    public class PolicyContext

extends Object

Constructor Summary
`PolicyContext()`

Method Summary
`void` `addProperty(String name, String value)`
`String` `evaluate(String s)`
`KeyStore` `getKeystore()`
`Principal[]` `getPrincipals()`
`void` `setKeystore(KeyStore keystore)`
`void` `setPrincipals(Principal[] principals)`
`void` `setProperties(Map<String,String> properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyContext

    public PolicyContext()

Method Detail

### addProperty

    public void addProperty(String name,
                            String value)

### setProperties

    public void setProperties(Map<String,String> properties)

### getKeystore

    public KeyStore getKeystore()

### setKeystore

    public void setKeystore(KeyStore keystore)

### getPrincipals

    public Principal[] getPrincipals()

### setPrincipals

    public void setPrincipals(Principal[] principals)

### evaluate

    public String evaluate(String s)
                    throws PolicyException

  Throws:
    `PolicyException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.